package gmodel

import (
	"gorm.io/gorm"
)

// ldap_casbin_rule 规则权限表
type LdapCasbinRule struct {
	Id    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Ptype *string `gorm:"default:'';" json:"ptype"`                        //
	V0    *string `gorm:"default:'';" json:"v0"`                           //
	V1    *string `gorm:"default:'';" json:"v1"`                           //
	V2    *string `gorm:"default:'';" json:"v2"`                           //
	V3    *string `gorm:"default:'';" json:"v3"`                           //
	V4    *string `gorm:"default:'';" json:"v4"`                           //
	V5    *string `gorm:"default:'';" json:"v5"`                           //
}
type LdapCasbinRuleModel struct {
	db   *gorm.DB
	name string
}

func NewLdapCasbinRuleModel(db *gorm.DB) *LdapCasbinRuleModel {
	return &LdapCasbinRuleModel{db: db, name: "ldap_casbin_rule"}
}
