package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_user_debug 用户debug
type FsUserDebug struct {
	Id       int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // 用户 ID
	Metadata *[]byte    `gorm:"default:'';" json:"metadata"`                     //
	Ctime    *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     // 时间
	GuestId  *int64     `gorm:"default:0;" json:"guest_id"`                      //
}
type FsUserDebugModel struct {
	db   *gorm.DB
	name string
}

func NewFsUserDebugModel(db *gorm.DB) *FsUserDebugModel {
	return &FsUserDebugModel{db: db, name: "fs_user_debug"}
}
